Package com.enonic.xp.macro

## Class MacroDescriptor

- java.lang.Object
- - com.enonic.xp.macro.MacroDescriptor

-     @PublicApi
      public final class MacroDescriptor
      extends Object

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class | Description
    --- | --- | ---
    `static class` | `MacroDescriptor.Builder` |

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `static MacroDescriptor.Builder` | `create()` |
    `String` | `getDescription()` |
    `String` | `getDescriptionI18nKey()` |
    `String` | `getDisplayName()` |
    `String` | `getDisplayNameI18nKey()` |
    `Form` | `getForm()` |
    `Icon` | `getIcon()` |
    `MacroKey` | `getKey()` |
    `Instant` | `getModifiedTime()` |
    `String` | `getName()` |
    `ResourceKey` | `toControllerResourceKey()` |
    `static ResourceKey` | `toControllerResourceKey​(MacroKey key)` |
    `ResourceKey` | `toDescriptorResourceKey()` |
    `static ResourceKey` | `toDescriptorResourceKey​(MacroKey key)` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### getKey

          public MacroKey getKey()

    - #### getName

          public String getName()

    - #### getDisplayName

          public String getDisplayName()

    - #### getDisplayNameI18nKey

          public String getDisplayNameI18nKey()

    - #### getDescription

          public String getDescription()

    - #### getDescriptionI18nKey

          public String getDescriptionI18nKey()

    - #### getForm

          public Form getForm()

    - #### getIcon

          public Icon getIcon()

    - #### getModifiedTime

          public Instant getModifiedTime()

    - #### toDescriptorResourceKey

          public ResourceKey toDescriptorResourceKey()

    - #### toControllerResourceKey

          public ResourceKey toControllerResourceKey()

    - #### toDescriptorResourceKey

          public static ResourceKey toDescriptorResourceKey​(MacroKey key)

    - #### toControllerResourceKey

          public static ResourceKey toControllerResourceKey​(MacroKey key)

    - #### create

          public static MacroDescriptor.Builder create()